- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_attribute.h File Reference

om attribute struct represents an xml attribute More...

`#include <axutil_env.h>`
`#include <axutil_qname.h>`
`#include <axiom_namespace.h>`
`#include <axiom_output.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_attribute | axiom_attribute_t
## Functions
AXIS2_EXTERN axiom_attribute_t * | axiom_attribute_create (const axutil_env_t *env, const axis2_char_t *localname, const axis2_char_t *value, axiom_namespace_t *ns)
AXIS2_EXTERN void | axiom_attribute_free_void_arg (void *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_attribute_free (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axutil_qname_t * | axiom_attribute_get_qname (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_attribute_serialize (struct axiom_attribute *om_attribute, const axutil_env_t *env, axiom_output_t *om_output)
AXIS2_EXTERN axis2_char_t * | axiom_attribute_get_localname (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_attribute_get_value (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axiom_namespace_t * | axiom_attribute_get_namespace (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_attribute_set_localname (struct axiom_attribute *om_attribute, const axutil_env_t *env, const axis2_char_t *localname)
AXIS2_EXTERN axis2_status_t | axiom_attribute_set_value (struct axiom_attribute *om_attribute, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_attribute_set_namespace (struct axiom_attribute *om_attribute, const axutil_env_t *env, axiom_namespace_t *om_namespace)
AXIS2_EXTERN struct axiom_attribute * | axiom_attribute_clone (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_attribute_increment_ref (struct axiom_attribute *om_attribute, const axutil_env_t *env)
AXIS2_EXTERN axiom_attribute_t * | axiom_attribute_create_str (const axutil_env_t *env, axutil_string_t *localname, axutil_string_t *value, axiom_namespace_t *ns)
AXIS2_EXTERN axutil_string_t * | axiom_attribute_get_localname_str (axiom_attribute_t *attribute, const axutil_env_t *env)
AXIS2_EXTERN axutil_string_t * | axiom_attribute_get_value_str (axiom_attribute_t *attribute, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_attribute_set_localname_str (axiom_attribute_t *attribute, const axutil_env_t *env, axutil_string_t *localname)
AXIS2_EXTERN axis2_status_t | axiom_attribute_set_value_str (axiom_attribute_t *attribute, const axutil_env_t *env, axutil_string_t *value)

## Detailed Description

om attribute struct represents an xml attribute